List wallet transactions | Moov Documentation

List wallet transactions

List all the transactions associated with a particular Moov wallet.

Read our wallet transactions guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.read scope.

GET

/accounts/{accountID}/wallets/{walletID}/transactions

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/wallets/{walletID}/transactions" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Ask

mc, _ := moov.NewClient()

var accountID string
var walletID string

mc.ListWalletTransactions(ctx, accountID, walletID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.walletTransactions.list({
    accountID: "69e4529b-baf0-4f00-877b-123cfd9d6116",
    skip: 60,
    count: 20,
    walletID: "4f971587-62fe-42c9-bc61-7409d9c8660c",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
use Moov\MoovPhp\Models\Operations;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$request = new Operations\ListWalletTransactionsRequest(
    accountID: '69e4529b-baf0-4f00-877b-123cfd9d6116',
    skip: 60,
    count: 20,
    walletID: '4f971587-62fe-42c9-bc61-7409d9c8660c',
);

$response = $sdk->wallets->listTransactions(
    request: $request
);

if ($response->walletTransactions !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.ListWalletTransactionsValidationError;
import io.moov.sdk.models.operations.ListWalletTransactionsRequest;
import io.moov.sdk.models.operations.ListWalletTransactionsResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws ListWalletTransactionsValidationError, Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

ListWalletTransactionsRequest req = ListWalletTransactionsRequest.builder()
                .accountID("69e4529b-baf0-4f00-877b-123cfd9d6116")
                .walletID("4f971587-62fe-42c9-bc61-7409d9c8660c")
                .skip(60L)
                .count(20L)
                .build();

ListWalletTransactionsResponse res = sdk.walletTransactions().list()
                .request(req)
                .call();

if (res.walletTransactions().isPresent()) {
            System.out.println(res.walletTransactions().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.wallet_transactions.list(account_id="69e4529b-baf0-4f00-877b-123cfd9d6116", wallet_id="4f971587-62fe-42c9-bc61-7409d9c8660c", skip=60, count=20)

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)

req = Models::Operations::ListWalletTransactionsRequest.new(
  account_id: '69e4529b-baf0-4f00-877b-123cfd9d6116',
  skip: 60,
  count: 20,
  wallet_id: '4f971587-62fe-42c9-bc61-7409d9c8660c'
)
res = s.wallet_transactions.list(request: req)

unless res.wallet_transactions.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;
using Moov.Sdk.Models.Requests;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

ListWalletTransactionsRequest req = new ListWalletTransactionsRequest() {
    AccountID = "69e4529b-baf0-4f00-877b-123cfd9d6116",
    Skip = 60,
    Count = 20,
    WalletID = "4f971587-62fe-42c9-bc61-7409d9c8660c",
};

var res = await sdk.WalletTransactions.ListAsync(req);

// handle response

The request completed successfully.

Example

[\
  {\
    "walletID": "string",\
    "transactionID": "string",\
    "transactionType": "account-funding",\
    "sourceType": "transfer",\
    "sourceID": "string",\
    "status": "pending",\
    "memo": "string",\
    "createdOn": "2019-08-24T14:15:22Z",\
    "completedOn": "2019-08-24T14:15:22Z",\
    "currency": "USD",\
    "grossAmount": 0,\
    "grossAmountDecimal": "string",\
    "fee": 0,\
    "feeIDs": [\
      "string"\
    ],\
    "feeDecimal": "string",\
    "netAmount": 0,\
    "netAmountDecimal": "string",\
    "availableBalance": 0,\
    "availableBalanceDecimal": "string",\
    "sweepID": "string"\
  }\
]

Response headers

A unique identifier used to trace requests.

Response headers

A unique identifier used to trace requests.

Response headers

A unique identifier used to trace requests.

Response headers

A unique identifier used to trace requests.

Response headers

A unique identifier used to trace requests.